Issue 20813

Summary: Problem with gtk background colors
Product: General Reporter: Unknown <non-migrated>
Component: uiAssignee: AOO issues mailing list <issues>
Status: UNCONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: elish, issues
Version: OOo 1.1 RC4Keywords: needhelp, oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description Unknown 2003-10-07 00:34:14 UTC
I ran into the following problem:

I use gnome 2.2, and a gtk2-theme (AquaLightBlue) which has white backgrounds
and blue buttons.

As OpenOffice "detects" those colors (without giving me a chance to prevent it,
as far as I understand), I get a ui that's mostly white-on-white.

When I change the gtk2-theme, to default, OpenOffice looks normal.

I don't think it's a good idea to change the UI colors based on such guessing,
especially if it's impossible for the user to turn it of... :(
Comment 1 alex.thurgood 2003-10-18 09:04:52 UTC
This is more of an RFE than a bug, or a matter of personal taste. In
addition you can set the colors of the OOo environment in the
Tools>Options configuration menu. Have you tried this yet to see oif
it makes any difference ?

Setting RFE and oooqa.

Alex
Comment 2 Unknown 2003-10-18 12:24:18 UTC
well especially if it IS a matter of taste, the user should be able to
prevent it, shouldn't he? ;)

I checked all color entries in Tools->Options->Display ("Darstellung",
not sure what's that in english, I'm using the german version - but
the problem appears in the german and the english release, I tried
both), none of them seems to apply to the *menu* background, and
that's the color that is taken from the gtk theme.

Of course it may be usefull to determine the gtk background color to
"fit" the theme the user has installed, but it's useless as long as
the buttons and other UI elements are not fully adopted, to. Just my
opinion, of course. Otherwise, there should be really an option "use
GTK background", or the possibility to change the UI background color
(which is NOT "Application Background"!) to something looking
acceptable (at least, the default gray value).

There is a forum thread on gentoo.org describing this problem (mostly
from the perspective of people WANTING that feature who are not using
gnome). There is also an description what openoffice detects and why,
to determine whether or not to use the background color.

I hope I'm not just stupid and overlook something :(

http://forums.gentoo.org/viewtopic.php?t=26114
Comment 3 thorsten.martens 2003-10-20 09:09:44 UTC
TM->BH: Please have a look at this wish for an enhancement, thanks !
Comment 4 ace_dent 2008-05-16 02:11:47 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 bettina.haberer 2010-05-21 14:45:13 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".